System Properties

[This is preliminary documentation and subject to change.]

Using the System Properties snap-in, you can:

  • View system properties
  • Set performance options
  • Set environment variables
  • Set system startup and recovery options
  • View your computer's network identification


To view system properties

  • In the console tree, right-click on Computer Management, and then select Properties.

Note

The General tab shows which version of Windows NT is installed, the name of the person registered to use this copy of Windows NT, the type of processor, and the total physical memory of the computer. If the operating system was installed by an original equipment manufacturer (OEM), this tab will also display information on obtaining technical support.


Set Performance Options

Using Performance Options, you can do the following:

  • Change the performance of foreground and background programs
  • Change the size of the virtual memory paging file
  • Change the size of the computer's registry


To change the performance of foreground and background programs

  1. In the console tree, right-click on Computer Management, and then select Properties.
  2. On the Advanced tab, click Performance Options.
  3. Under Computer Usage, do the following:
    • Click Workstation to assign more processor resources to the foreground program than to the background program.
    • Click Server to assign equal amounts of processor resources to all programs.

Notes

  • For a smoother response, Workstation users might want more processor resources assigned to foreground programs, while Server users might want resources to be shared equally between background and foreground programs.
  • The Workstation option allocates short, variable time slices, or quanta, to running applications, while the Server option assigns long, fixed quanta.


To change the size of the virtual memory paging file

  1. In the console tree, right-click on Computer Management, and then select Properties.
  2. On the Advanced tab, click Performance Options, and under Virtual Memory, click Change.
  3. In the Drive list, click the drive that contains the paging file you want to change.
  4. Under Paging file size for selected drive, type a new size in megabytes in the Initial Size (MB) or Maximum Size (MB) box.
  5. Click Set.

    You must restart the computer to see the effects of any changes.

Notes

  • You can change the size of your computer's paging file only when you are logged on as a member of the Administrators group.
  • For best performance, set the initial size to not less than the recommended size under Total paging size for all drives. The recommended size is equivalent to the amount of RAM on your system plus 12 MB.
  • Usually, you should leave the paging file at its recommended size for each drive, although you might increase its size to routinely use programs that require a lot of memory.
  • To delete a paging file, set both initial size and maximum size to zero.


To change the size of the computer's registry

  1. In the console tree, right-click on Computer Management, and then select Properties.
  2. On the Advanced tab, click Performance Options, and under Virtual Memory, click Change.
  3. Under Registry Size, type a new size in megabytes in the Maximum Registry Size (MB) box.
  4. Click OK.

Notes

  • You can change the size of the registry only when you are logged on as a member of the Administrators group.
  • Setting a maximum size for the registry sets an upper limit on the how large the area designated for registry data can become. You might need to increase the maximum registry size if the amount of registry data produced by applications exceeds the limit you set under Registry Size.


Set Environment Variables

Using the Environment Variables options you can:

  • Add environment variables for your computer
  • Change or delete values of environment variables


To add environment variables for your computer

  1. In the console tree, right-click on Computer Management, and then select Properties.
  2. On the Advanced tab, click Environment variables.
  3. If you are adding user variables, select the user in the User variables for box. You can use this option to change variables for a user who has a profile on the machine but is not currently logged on.
  4. In User variables or System variables, click New.
  5. In Variable Name, type the name of the new variable.
  6. In Variable Value, type the value of the new variable.
  7. Click OK.

Notes

  • You can add system variables only when you are logged on as a member of the Administrators group.
  • Windows NT saves changes in the registry, which means they are available automatically the next time you start your computer.
  • Changes do not affect programs that are running, and may not take effect until you restart your computer.
  • You cannot change environment variables on machines that use an Autoexec.bat file.


To add or change values of environment variables

  1. In the console tree, right-click on Computer Management, and then select Properties.
  2. On the Advanced tab, click Environment variables.
  3. If you are changing or deleting user variables, select the user in the User variables for box.
  4. Click the name of the user or system variable you want to change or delete.
    • Click Edit to change a variable name and value. Select the existing value and type the new value, and then click OK.
    • Click Delete to completely remove a selected user or system variable.
  5. Click OK.

Notes

  • You can change or delete system variables only when you are logged on as a member of the Administrators group.
  • Windows NT saves changes in the registry so they are available automatically the next time you start your computer.
  • Changes do not affect programs that are running, and may not take effect until you restart your computer.
  • The value of the path variable used by programs is created by combining values specified in both the Environment Variables dialog box and the computer's Autoexec.bat file. Paths contained in the Autoexec.bat file are added to the end of the value of the path variables defined in the Environment Variables dialog box.


Set System Startup and Recovery Options

Using the system startup and recovery options, you can:

  • Specify the default operating system for startup
  • Specify what Windows NT does when the system stops unexpectedly
  • Perform a remote reboot


To specify the default operating system for startup

  1. In the console tree, right-click on Computer Management, and then select Properties.
  2. On the Advanced tab, click Startup and Recovery.
  3. Under System Startup, click the new default operating system in the Operating System list.
  4. In the Display list of operating systems for box, type the number of seconds the list of choices should be displayed before the default operating system starts automatically.
  5. Click OK.


To specify what Windows NT does when the system stops unexpectedly

  1. In the console tree, right-click on Computer Management, and then select Properties.
  2. On the Advanced tab, click Startup and Recovery.
  3. Under Recovery, select the actions Windows NT should perform when a STOP error occurs. If you select Send an administrative alert, use the Microsoft Management Console to ensure that the Alerter service is started.
  4. Click OK.

    After you change the system recovery options, a message may appear instructing you to restart the server.

Notes

  • You must be logged on as an Administrator to change Recovery options.
  • The Alerter service sends alert messages to specified users connected to the server. You can start the service by clicking Start, pointing to Programs, pointing to Administrative Tools, and clicking System Service Management.
  • The options Write an event to the system log, Send an administrative alert, and Automatically reboot require at least a 2 MB paging file on the computer's system drive.
  • Write debugging information to requires a paging file on the Windows NT partition large enough to hold all of the computer's physical RAM, plus 1 MB.
  • If you contact Microsoft Technical Support about the error, they may ask for the system-memory dump file generated by the Write debugging information to option. Notice that Windows NT always writes the dump file to the same filename. To keep dump files, copy them to a new filename after each STOP error.
  • You can save some memory if you clear these options: Write debugging information to, Write an event to the system log, or Send an administrative alert. The memory saved depends on the computer, but typically about 60–70K is required by the drivers that enable these features.


To perform a remote reboot

  1. In the console tree, right-click on Computer Management, and then select Properties.
  2. On the Advanced tab, click Startup and Recovery.
  3. Click Remote Reboot. The Remote Shutdown dialog box appears.
  4. Under Action, select the reboot actions you want to perform.
  5. Under Force Apps Closed, select when you want to force applications to close.
  6. Click Shutdown.

Note

This procedure reboots the machine you are connected to, which may be the current machine or a remote machine. You can connect to a remote machine by selecting Computer Management in the console tree, and then selecting Connect to another computer from the Action menu.


To view your computer's network identification

  1. In the console tree, right-click on Computer Management, and then select Properties.
  2. Click the Networking ID tab. This tab shows your computer's name, the workgroup or domain to which it belongs, and provides a brief description of the machine.


Support Online from Microsoft Technical Support

Get the latest answers to technical questions via the Internet

If you have a technical question and can’t find your answer in the Windows NT Help file, go to Support Online. Just select your product, type in your question and the site does the rest of the work for you. From technical articles in the Microsoft Knowledge Base, to Troubleshooting Wizards and downloadable files, Support Online gathers the specific resources most likely to help you find the answer to your question.

To begin your search, go to Support Online.